deploy:
    stage: deploy
    script:
      - eval $(ssh-agent -s)
      - mkdir -p ~/.ssh
      - chmod 700 ~/.ssh
      - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
      - ssh-keyscan -H $SSH_SERVER_DEV_IP >> ~/.ssh/known_hosts
      - chmod 600 ~/.ssh/known_hosts
      - >
        ssh ${SSH_USER}@${SSH_SERVER_DEV_IP} -p 20122 -o StrictHostKeyChecking=no 
        "echo $HARBOR_PASS | docker login -u $HARBOR_USER --password-stdin $HARBOR_URL;
        pwd && ls -la;
        rm -rf docker-compose.yml;"

  